<?php include('accesscheck2.php');?>
<?php 
$action=$_POST["act"];
$mgt = $_POST['mgtype'];
//////Medical Services///////

/////////Drugs
if($action=="medical_list_claims" || $action=="medical_list_claims_search" || $action == 'medical_list_patients'){
include("Consultancy/list_visits.php");
}

if($action=="medical_view_patient_visits"){
include("Consultancy/view_patient_visits.php");
}

if($action=="view_items_popup_symptoms"){
include("Consultancy/view_items_symptoms.php");
}

if($action=="view_items_query_diagnosis"){
include("Consultancy/view_items_query_diagnosis.php");
}

if($action=="view_items_query_diagnosis_history"){
include("Consultancy/view_items_query_diagnosis_history.php");
}

if($action=="symptoms_edit_claim_details" || $action=="save_new_symptoms_name" || $action == 'del_claim_details_symptoms'){
include("Consultancy/claim_details_process_drugs.php");
}

if($action=="query_diagnosis_edit_claim_details" || $action=="save_new_query_diagnosis_name" || $action == 'del_claim_details_query_diagnosis' || $action=='confirm_query_diagnosis_disease'||$action=="query_diagnosis_edit_claim_details_history"|| $action == 'del_claim_details_query_diagnosis_history'){
include("Consultancy/claim_details_process_drugs.php");
}

if($action=="save_patient_consultation"){
  include("Consultancy/claim_details_process_drugs.php");
}

if($action=="patient_vitals_save_claim_details" || $action == 'del_claim_details_vital_records'){
  include("Consultancy/claim_details_process_drugs.php");
}

if($action=="view_medical_history_details" || $action == 'view_medical_history_details_2' || $action == 'view_medical_history_details_per'){
  include("Consultancy/view_medical_history_details.php");
}

if($action=="savevitals"){
include("Consultancy/save_vitals.php");
}

if($action=="savechronic"){
include("Consultancy/save_vitals.php");
}

if($action=="view_items_patient_symptoms"){
include("Consultancy/view_items_patient_symptoms.php");
}

if($action=="drug_edit_claim_details" || $action=="drug_edit_claim_details_history"){
include("Consultancy/claim_details_process_drugs.php");
}

if($action=="medical_procedures_claim_details" || $action == 'update_medical_procedure_details'||$action=='del_medical_procedure_details'){
include("Consultancy/claim_details_process_drugs.php");
}

if($action=="updatedose_claim_details"){
include("Consultancy/claim_details_process_drugs.php");
}


if($action=="process_claim_details"){
include("Consultancy/claim_details_process_drugs.php");
}

if($action=="diagnostic_edit_claim_details"){
include("Consultancy/claim_details_process_diagnostics.php");
}


// PATIENT CONSULTATION 
if($action == 'patient_vital_history'){
    include ('Consultancy/patient_vital_records.php');
}

if($action == 'add_new_medical_history'){
    include ('Consultancy/add_new_medical_consultation.php');
}

if($action == 'patient_medical_history'){
    include ('Consultancy/medical_history.php');
}

if($action == 'patient_drug_prescriptions'){
    include ('Consultancy/patient_drug_prescription.php');
}

if($action == 'view_items_popup_drug_prescriptions'){
    include ('Consultancy/view_items_drug_prescriptions.php');
}

if($action == 'view_items_popup_drug_prescriptions_history'){
    include ('Consultancy/view_items_drug_prescriptions_history.php');
}

if($action == 'view_items_popup_physical_examinations'){
    include ('Consultancy/view_items_physical_examinations.php');
}

if($action == 'view_items_popup_medical_procedures'){
    include ('Consultancy/view_items_medical_procedures.php');
}

if($action == 'physical_examinations_edit_claim_details' || $action == 'save_new_physical_examination' || $action =='del_claim_details_physical_examination'){
    include ('Consultancy/claim_details_process_drugs.php');
}

if($action=="del_claim_drug_prescriptions" || $action == 'del_claim_drug_prescriptions_history' || $action == 'updatedoseform_claim_details_drugs_history'){
include("Consultancy/claim_details_process_drugs.php");
}

if($action=="updatedoseform_claim_details_drugs"){
include("Consultancy/claim_details_process_drugs.php");
}

if($action=="updatefrequency_claim_details_drugs"){
include("Consultancy/claim_details_process_drugs.php");
}

if($action=="updatenoofdays_claim_details_drugs"){
include("Consultancy/claim_details_process_drugs.php");
}

if($action=="patient_consultation_diagnostics"){
include("Consultancy/patient_consultation_diagnostics.php");
}

if($action=="view_items_popup_diagnostics_2"){
include("Consultancy/view_items_diagnostics.php");
}

if($action=="view_items_popup_allergy_history"){
include("Consultancy/view_items_allergy_history.php");
}
if($action=="allergies_history_edit_claim_details" || $action =='del_claim_details_allergies_Reaction' || $action == 'save_new_allergy_name'){
include("Consultancy/claim_details_process_drugs.php");
}

if($action=="del_claim_details_diagnostics"){
include("Consultancy/claim_details_process_diagnostics.php");
}

if($action=="reload_medical_claim_diagnostic"){
include("Consultancy/claim_details_process_diagnostics.php");
}

if($action=="forward_to_lab"){
include("Consultancy/claim_details_process_diagnostics.php");
}

if($action == 'patient_allergies_info'){
    include ('Consultancy/patient_allergies_info.php');
}

if($action=="save_allergies" || $action == 'delete_allergies'){
include("Consultancy/consultation_allergies.php");
}

if($action == 'patient_chronic_disease_info'){
    include ('Consultancy/patient_chronic_disease_info.php');
}

if($action=="save_chronic_disease" || $action == 'delete_chronic_disease'){
include("Consultancy/consultation_chronic_disease.php");
}

if($action == 'call_next_patient' || $action == 'patient_in_now' || $action == 'skip_to_next_patient'){
    include ('queue/queue_manager.php');
}

if($action == 'delete_patient_drawings' || $action == 'save_drawing'){
    include 'Consultancy/upload.php';
}

if($action=="fetch_list_of_hospitals"){
include("Consultancy/claim_details_process_drugs.php");
}

if($action=="attach_another_file" || $action == 'delete_file'){
include("Consultancy/upload.php");
}